=== debian/changelog ===
ros-dashing-serial-driver (0.0.6-4bionic) bionic; urgency=high

  * Uncrustify fixes.
  * Remove lifecycle references (#19 <https://github.com/ros-drivers/transport_drivers/issues/19>)
  * Fixing boost dependency. (#18 <https://github.com/ros-drivers/transport_drivers/issues/18>)
  * Contributors: Esteve Fernandez, Joshua Whitley

 -- Joshua Whitley <whitleysoftwareservices@gmail.com>  Thu, 27 Aug 2020 05:00:00 -0000

ros-dashing-serial-driver (0.0.5-4bionic) bionic; urgency=high

  * Remove Autoware.AUTO Dependencies (#15 <https://github.com/ros-drivers/transport_drivers/issues/15>)
    * Removing autoware dependencies.
    * Fixing linting errors.
    * Addressing review feedback.
  * Be specific about which parts of Boost are necessary (#10 <https://github.com/ros-drivers/transport_drivers/issues/10>)
    * serial: be specific about Boost dependency.
    * udp: be specific about Boost dependency.
  * Contributors: G.A. vd. Hoorn, Joshua Whitley

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 16 Jul 2020 05:00:00 -0000

ros-dashing-serial-driver (0.0.4-4bionic) bionic; urgency=high

  * Making serial_driver version number consistent with repo.
  * Initial commit of serial_driver.
  * Contributors: Joshua Whitley

 -- Apex.AI, Inc. <opensource@apex.ai>  Thu, 12 Dec 2019 06:00:00 -0000

ros-dashing-serial-driver (0.0.3-4bionic) bionic; urgency=high



 -- Apex.AI, Inc. <opensource@apex.ai>  Wed, 21 Aug 2019 05:00:00 -0000

ros-dashing-serial-driver (0.0.2-4bionic) bionic; urgency=high



 -- Apex.AI, Inc. <opensource@apex.ai>  Mon, 19 Aug 2019 05:00:00 -0000
