=== debian/control ===
Source: ros-dashing-serial-driver
Section: misc
Priority: optional
Maintainer: Joshua Whitley <whitleysoftwareservices@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-dev, libboost-system-dev, ros-dashing-ament-cmake-auto, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-serial-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-dev, libboost-system-dev, ros-dashing-rclcpp, ros-dashing-std-msgs, ros-dashing-ros-workspace
Description: A template class and associated utilities which encapsulate basic reading from serial ports
